| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RTPSMessageSenderInterface Class Referenceabstract

Interface to handle destinations management and message sending. More...

`#include <RTPSMessageSenderInterface.hpp>`

## Public Member Functions

virtual | ~RTPSMessageSenderInterface ()=default
virtual bool | destinations_have_changed () const =0
| Check if the destinations managed by this sender interface have changed.
virtual GuidPrefix_t | destination_guid_prefix () const =0
| Get a GUID prefix representing all destinations.
virtual const std::vector< GuidPrefix_t > & | remote_participants () const =0
| Get the GUID prefix of all the destination participants.
virtual const std::vector< GUID_t > & | remote_guids () const =0
| Get the GUID of all destinations.
virtual bool | send (const std::vector< eprosima::fastdds::rtps::NetworkBuffer > &buffers, const uint32_t &total_bytes, std::chrono::steady_clock::time_point max_blocking_time_point) const =0
| Send a message through this interface.
virtual void | lock ()=0
| Lock the object.
virtual void | unlock ()=0
| Lock the object.

## Detailed Description

Interface to handle destinations management and message sending.

## Constructor & Destructor Documentation

## ◆ ~RTPSMessageSenderInterface()

virtual ~RTPSMessageSenderInterface | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ destination_guid_prefix()

virtual GuidPrefix_t destination_guid_prefix | ( |  | ) | const

pure virtual

Get a GUID prefix representing all destinations.

Returns
  When all the destinations share the same prefix (i.e. belong to the same participant) that prefix is returned. When there are no destinations, or they belong to different participants, c_GuidPrefix_Unknown is returned.

## ◆ destinations_have_changed()

virtual bool destinations_have_changed | ( |  | ) | const

pure virtual

Check if the destinations managed by this sender interface have changed.

Returns
  true if destinations have changed, false otherwise.

## ◆ lock()

virtual void lock | ( |  | ) |

pure virtual

Lock the object.

## ◆ remote_guids()

virtual const std::vector< GUID_t > & remote_guids | ( |  | ) | const

pure virtual

Get the GUID of all destinations.

Returns
  a const reference to a vector with the GUID of all destinations.

## ◆ remote_participants()

virtual const std::vector< GuidPrefix_t > & remote_participants | ( |  | ) | const

pure virtual

Get the GUID prefix of all the destination participants.

Returns
  a const reference to a vector with the GUID prefix of all destination participants.

## ◆ send()

virtual bool send | ( | const std::vector< eprosima::fastdds::rtps::NetworkBuffer > & | buffers,
|  | const uint32_t & | total_bytes,
|  | std::chrono::steady_clock::time_point | max_blocking_time_point ) const

pure virtual

Send a message through this interface.

Parameters

  buffers | Vector of NetworkBuffers to send with data already serialized.
  total_bytes | Total number of bytes to send. Should be equal to the sum of the `size` field of all buffers.
  max_blocking_time_point | Future timepoint where blocking send should end.

## ◆ unlock()

virtual void unlock | ( |  | ) |

pure virtual

Lock the object.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/messages/RTPSMessageSenderInterface.hpp